org.apache.tinkerpop.gremlin.structure.io.graphson

## Class GraphSONUtil

- java.lang.Object
- - org.apache.tinkerpop.gremlin.structure.io.graphson.GraphSONUtil

-     public final class GraphSONUtil
      extends Object

  Utility methods for GraphSON serialization. Functions in here might be used by external serializers.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `writeEndArray(Object o, org.apache.tinkerpop.shaded.jackson.core.JsonGenerator jsonGenerator, org.apache.tinkerpop.shaded.jackson.databind.jsontype.TypeSerializer typeSerializer)`
    `static void` | `writeEndObject(Object o, org.apache.tinkerpop.shaded.jackson.core.JsonGenerator jsonGenerator, org.apache.tinkerpop.shaded.jackson.databind.jsontype.TypeSerializer typeSerializer)`
    `static void` | `writeStartArray(Object o, org.apache.tinkerpop.shaded.jackson.core.JsonGenerator jsonGenerator, org.apache.tinkerpop.shaded.jackson.databind.jsontype.TypeSerializer typeSerializer)`
    `static void` | `writeStartObject(Object o, org.apache.tinkerpop.shaded.jackson.core.JsonGenerator jsonGenerator, org.apache.tinkerpop.shaded.jackson.databind.jsontype.TypeSerializer typeSerializer)`
    `static void` | `writeWithType(Object object, org.apache.tinkerpop.shaded.jackson.core.JsonGenerator jsonGenerator, org.apache.tinkerpop.shaded.jackson.databind.SerializerProvider serializerProvider, org.apache.tinkerpop.shaded.jackson.databind.jsontype.TypeSerializer typeSerializer)`
    `static void` | `writeWithType(String key, Object object, org.apache.tinkerpop.shaded.jackson.core.JsonGenerator jsonGenerator, org.apache.tinkerpop.shaded.jackson.databind.SerializerProvider serializerProvider, org.apache.tinkerpop.shaded.jackson.databind.jsontype.TypeSerializer typeSerializer)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### writeWithType

          public static void writeWithType(Object object,
                                           org.apache.tinkerpop.shaded.jackson.core.JsonGenerator jsonGenerator,
                                           org.apache.tinkerpop.shaded.jackson.databind.SerializerProvider serializerProvider,
                                           org.apache.tinkerpop.shaded.jackson.databind.jsontype.TypeSerializer typeSerializer)
                                    throws IOException

      Throws:
        `IOException`

    - #### writeWithType

          public static void writeWithType(String key,
                                           Object object,
                                           org.apache.tinkerpop.shaded.jackson.core.JsonGenerator jsonGenerator,
                                           org.apache.tinkerpop.shaded.jackson.databind.SerializerProvider serializerProvider,
                                           org.apache.tinkerpop.shaded.jackson.databind.jsontype.TypeSerializer typeSerializer)
                                    throws IOException

      Throws:
        `IOException`

    - #### writeStartObject

          public static void writeStartObject(Object o,
                                              org.apache.tinkerpop.shaded.jackson.core.JsonGenerator jsonGenerator,
                                              org.apache.tinkerpop.shaded.jackson.databind.jsontype.TypeSerializer typeSerializer)
                                       throws IOException

      Throws:
        `IOException`

    - #### writeEndObject

          public static void writeEndObject(Object o,
                                            org.apache.tinkerpop.shaded.jackson.core.JsonGenerator jsonGenerator,
                                            org.apache.tinkerpop.shaded.jackson.databind.jsontype.TypeSerializer typeSerializer)
                                     throws IOException

      Throws:
        `IOException`

    - #### writeStartArray

          public static void writeStartArray(Object o,
                                             org.apache.tinkerpop.shaded.jackson.core.JsonGenerator jsonGenerator,
                                             org.apache.tinkerpop.shaded.jackson.databind.jsontype.TypeSerializer typeSerializer)
                                      throws IOException

      Throws:
        `IOException`

    - #### writeEndArray

          public static void writeEndArray(Object o,
                                           org.apache.tinkerpop.shaded.jackson.core.JsonGenerator jsonGenerator,
                                           org.apache.tinkerpop.shaded.jackson.databind.jsontype.TypeSerializer typeSerializer)
                                    throws IOException

      Throws:
        `IOException`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.